org.eclipse.jetty.client

## Class HttpDestination

- java.lang.Object
- - org.eclipse.jetty.client.HttpDestination

All Implemented Interfaces:
  Dumpable

    public class HttpDestination
    extends Object
    implements Dumpable

Version:
  $Revision: 879 $ $Date: 2009-09-11 16:13:28 +0200 (Fri, 11 Sep 2009) $

### Method Summary

Methods
`void` `addAuthorization(String pathSpec, Authentication authorization)`
`void` `addCookie(HttpCookie cookie)`
`void` `close()`
`protected void` `doSend(HttpExchange ex)`
`String` `dump()`
`void` `dump(Appendable out, String indent)`
`protected void` `exchangeExpired(HttpExchange exchange)`
`Address` `getAddress()`
`int` `getConnections()`
`Buffer` `getHostHeader()`
`HttpClient` `getHttpClient()`
`AbstractHttpConnection` `getIdleConnection()`
`int` `getIdleConnections()`
`int` `getMaxConnections()`
`int` `getMaxQueueSize()`
`Address` `getProxy()`
`Authentication` `getProxyAuthentication()`
`boolean` `isProxied()`
`boolean` `isSecure()`
`void` `onConnectionFailed(Throwable throwable)`
`void` `onException(Throwable throwable)`
`void` `onNewConnection(AbstractHttpConnection connection)`
`void` `resend(HttpExchange ex)`
`AbstractHttpConnection` `reserveConnection(long timeout)`
`void` `returnConnection(AbstractHttpConnection connection, boolean close)`
`void` `returnIdleConnection(AbstractHttpConnection connection)`
`protected void` `send(AbstractHttpConnection connection, HttpExchange exchange)`
`void` `send(HttpExchange ex)`
`void` `setMaxConnections(int maxConnections)`
`void` `setMaxQueueSize(int maxQueueSize)`
`void` `setProxy(Address proxy)`
`void` `setProxyAuthentication(Authentication authentication)`
`protected void` `startNewConnection()`
`String` `toDetailString()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getHttpClient

    public HttpClient getHttpClient()

#### getAddress

    public Address getAddress()

#### isSecure

    public boolean isSecure()

#### getHostHeader

    public Buffer getHostHeader()

#### getMaxConnections

    public int getMaxConnections()

#### setMaxConnections

    public void setMaxConnections(int maxConnections)

#### getMaxQueueSize

    public int getMaxQueueSize()

#### setMaxQueueSize

    public void setMaxQueueSize(int maxQueueSize)

#### getConnections

    public int getConnections()

#### getIdleConnections

    public int getIdleConnections()

#### addAuthorization

    public void addAuthorization(String pathSpec,
                        Authentication authorization)

#### addCookie

    public void addCookie(HttpCookie cookie)

#### reserveConnection

    public AbstractHttpConnection reserveConnection(long timeout)
                                             throws IOException

Throws:
  `IOException`

#### getIdleConnection

    public AbstractHttpConnection getIdleConnection()
                                             throws IOException

Throws:
  `IOException`

#### startNewConnection

    protected void startNewConnection()

#### onConnectionFailed

    public void onConnectionFailed(Throwable throwable)

#### onException

    public void onException(Throwable throwable)

#### onNewConnection

    public void onNewConnection(AbstractHttpConnection connection)
                         throws IOException

Throws:
  `IOException`

#### returnConnection

    public void returnConnection(AbstractHttpConnection connection,
                        boolean close)
                          throws IOException

Throws:
  `IOException`

#### returnIdleConnection

    public void returnIdleConnection(AbstractHttpConnection connection)

#### send

    public void send(HttpExchange ex)
              throws IOException

Throws:
  `IOException`

#### resend

    public void resend(HttpExchange ex)
                throws IOException

Throws:
  `IOException`

#### doSend

    protected void doSend(HttpExchange ex)
                   throws IOException

Throws:
  `IOException`

#### exchangeExpired

    protected void exchangeExpired(HttpExchange exchange)

#### send

    protected void send(AbstractHttpConnection connection,
            HttpExchange exchange)
                 throws IOException

Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### toDetailString

    public String toDetailString()

#### setProxy

    public void setProxy(Address proxy)

#### getProxy

    public Address getProxy()

#### getProxyAuthentication

    public Authentication getProxyAuthentication()

#### setProxyAuthentication

    public void setProxyAuthentication(Authentication authentication)

#### isProxied

    public boolean isProxied()

#### close

    public void close()
               throws IOException

Throws:
  `IOException`

#### dump

    public String dump()

Specified by:
  `dump` in interface `Dumpable`
See Also:
  `Dumpable.dump()`

#### dump

    public void dump(Appendable out,
            String indent)
              throws IOException

Specified by:
  `dump` in interface `Dumpable`
Throws:
  `IOException`
See Also:
  `Dumpable.dump(java.lang.Appendable, java.lang.String)`